import { SmzCheckBoxControl, SmzControlTypes } from '../models/control-types';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SmzFormsVisibilityService {
    dependsOn: {
        [key: string]: {
            observers: string[];
            value: any;
        };
    };
    observers: {
        [key: string]: {
            input: SmzControlTypes;
            options: BehaviorSubject<any>;
        };
    };
    constructor();
    registryObserver(input: SmzControlTypes, formId: string): void;
    private getDependsOnKey;
    registryDependsOnData(input: SmzCheckBoxControl, formId: string): void;
    setValue(input: SmzCheckBoxControl, formId: string, onChangeDropdownEvent: any): void;
    private emitToObservers;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SmzFormsVisibilityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SmzFormsVisibilityService>;
}
